local  PlayInfo = Game:addState("PlayInfo")

function PlayInfo:enterState()
	self.tickCount = 10
end

function PlayInfo:update()
	self.tickCount = self.tickCount - 1
end

function PlayInfo:draw()
    love.graphics.draw(Graphics.backgrnd,0,0,0,1,1)

	love.graphics.setFont(Font.state_title_font)
	love.graphics.setColor(Color.menu_title_color)
	love.graphics.printf("Move by\narrow keys,\n" .. 
	" or\n by mouse while holding left mouse button.", 10, GameHeight / 6, GameWidth, "center")

	if self.tickCount < 0 then
		love.graphics.setFont(Font.state_hint_font)
		local menyBiasY = GameHeight / 5 * 4
		love.graphics.setColor(Color.state_hint_color)
		love.graphics.printf("Press any key", 0, menyBiasY, GameWidth, "center")
	end
	
	love.graphics.setColor(Color.default)
end

function PlayInfo:keypressed(key)
	if self.tickCount < 0 then
		PlayMenuSfx()
		Game:popState()
		Game:pushState('Play')
	end
end

function PlayInfo:keyreleased(key)
end

function PlayInfo:exitState()
end


