PowerSource = class("PowerSource", Tower)

POWERSOURCE_MAX_TICKCOUNT = 600

function PowerSource:initialize(towerType, colorType)
	Tower.initialize(self, towerType, colorType)
	
	self.tickCount = math.random(1, POWERSOURCE_MAX_TICKCOUNT)
	
	self.power = 200
	self.originalPower = 200
end

function PowerSource:update()
	self.tickCount = self.tickCount + 1
	if self.tickCount > POWERSOURCE_MAX_TICKCOUNT then
		self.tickCount = 1
	end
	
	Tower.update(self)
end

function PowerSource:updateTarget(targetPower)
	self.targetPower = targetPower
end
