
function love.load()
	GameHeight = love.graphics.getHeight()
	GameWidth = love.graphics.getWidth()

    require("MiddleClass.lua")
    require("MindState.lua")
    require("Game.lua")
    require("Menu.lua")
    require("Credit.lua")
    require("Graphics.lua")
	require("Sounds.lua")
    require("Utilities.lua")
    require("Play.lua")
	require("FailScreen.lua")
	require("WinScreen.lua")
	require("PauseScreen.lua")
	require("StoryBoard1.lua")
	require("ExplodeParticle.lua")
	require("FinishScreen.lua")
	require("Editor.lua")
	require("Defines.lua")
	require("PlayInfo.lua")
	
    require("Obj.lua")
    require("Tower.lua")
    require("Weapon.lua")
	require("Bullet.lua")
	require("PowerSource.lua")
	require("PlayerClass.lua")
	require("Defender.lua")
	require("Brick.lua")
	
	--love.keyboard.setKeyRepeat(0)

	math.randomseed(os.time())

    Game = Game:new()
    Game:gotoState('Menu')

	Game.playInfoDisplayed = false
end

function love.update(dt)
    Game:update(dt)
end

function love.draw()
    Game:draw()
end

function love.mousepressed(x,y,button )
    Game:mousepressed(x,y,button )
end

function love.mousereleased(x,y,button )
    Game:mousereleased(x,y,button )
end

function love.keypressed(key,unicode)
    Game:keypressed(key)
end

function love.keyreleased(key)
    Game:keyreleased(key)
end
