local  FailScreen = Game:addState("FailScreen")

function FailScreen:enterState()
	self.tickCount = 100
end

function FailScreen:update()
	self.tickCount = self.tickCount - 1
end

function FailScreen:draw()
    love.graphics.draw(Graphics.backgrnd,0,0,0,1,1)

	love.graphics.setFont(Font.state_title_font)
	love.graphics.setColor(Color.state_title_color)
	love.graphics.printf("Invading Terminated", 10, GameHeight / 5, GameWidth, "center")

	if self.tickCount < 0 then
		love.graphics.setFont(Font.state_hint_font)
		local menyBiasY = GameHeight / 3 * 2
		love.graphics.setColor(Color.state_hint_color)
		love.graphics.printf("Press any key", 0, menyBiasY, GameWidth, "center")
	end
	
	love.graphics.setColor(Color.default)
end

function FailScreen:keypressed(key)
	if self.tickCount < 0 then
		PlayMenuSfx()
		Game:popState()
		Game:popState()
	end
end

function FailScreen:keyreleased(key)
end

function FailScreen:exitState()
end


