local  Menu = Game:addState("Menu")

function Menu:enterState()
    Menu.menuChoice = 1
end

function Menu:update()
end

function Menu:draw()
    love.graphics.draw(Graphics.backgrnd,0,0,0,1,1)


	love.graphics.setFont(Font.title_font)
	
	self.showShade = false
	if math.random() < 0.01 then
		self.showShade = true
		love.graphics.setColor(math.random(255), math.random(255), math.random(255), 192)
		love.graphics.printf("Invader", 10 + math.random(-15, 15), GameHeight / 5 + math.random(-10, 10), GameWidth, "center")
	end

	if self.showShade == false then
		love.graphics.setColor(Color.menu_title_color)
		love.graphics.printf("Invader", 10, GameHeight / 5, GameWidth, "center")
	end

	love.graphics.setFont(Font.menu_font)

	local menyBiasY = GameHeight / 2
	local menuStepY = menuFontSize * 2

	if Menu.menuChoice == 1 then 
		love.graphics.setColor(Color.menu_fore_color)
	else
		love.graphics.setColor(Color.menu_back_color)
	end
	love.graphics.printf("Play", 0, menyBiasY, GameWidth, "center")
	
	if Menu.menuChoice == 2 then 
		love.graphics.setColor(Color.menu_fore_color)
	else
		love.graphics.setColor(Color.menu_back_color)
	end
	love.graphics.printf("Credit", 0, menyBiasY + menuStepY, GameWidth, "center")
	
	if Menu.menuChoice == 3 then 
		love.graphics.setColor(Color.menu_fore_color)
	else
		love.graphics.setColor(Color.menu_back_color)
	end
	love.graphics.printf("Quit", 0, menyBiasY + menuStepY + menuStepY, GameWidth, "center")

	love.graphics.setColor(Color.default)
end

function Menu:keypressed(key)
	if key == "escape" then
		love.event.push("q")
	elseif key == "down" then
		PlayMenuSfx()
		keyPressing = true
		Menu.menuChoice = Menu.menuChoice +1
		if Menu.menuChoice > 3 then
			Menu.menuChoice = 1
		end
	elseif key == "up" then
		PlayMenuSfx()
		keyPressing = true
		Menu.menuChoice = Menu.menuChoice -1
		if Menu.menuChoice < 1 then
			Menu.menuChoice = 3
		end
	elseif key == "return" then
		PlayMenuSfx()
		if Menu.menuChoice == 3 then
			love.event.push("q")
		elseif Menu.menuChoice == 2 then
			Game:pushState('Credit')
		elseif Menu.menuChoice == 1 then
			if Game.playInfoDisplayed == false then
				Game.playInfoDisplayed = true
				Game:pushState('PlayInfo')
			else
				Game:pushState('Play')
			end
		end
	elseif key == "e" then
		Game:pushState("Editor")
	end
end

function Menu:keyreleased(key)
end

function Menu:exitState()

end


