local  PauseScreen = Game:addState("PauseScreen")

function PauseScreen:enterState()
	PauseScreen.menuChoice = 1    
end

function PauseScreen:update()
end

function PauseScreen:draw()
    love.graphics.draw(Graphics.backgrnd,0,0,0,1,1)

	love.graphics.setFont(Font.title_font)
	love.graphics.setColor(Color.state_title_color)
	love.graphics.printf("Pause", 10, GameHeight / 5, GameWidth, "center")

	love.graphics.setFont(Font.menu_font)

	local menyBiasY = GameHeight / 5 * 3
	local menuStepY = menuFontSize * 2

	if PauseScreen.menuChoice == 1 then 
		love.graphics.setColor(Color.menu_fore_color)
	else
		love.graphics.setColor(Color.menu_back_color)
	end
	love.graphics.printf("Resume", 0, menyBiasY, GameWidth, "center")
	
	if PauseScreen.menuChoice == 2 then 
		love.graphics.setColor(Color.menu_fore_color)
	else
		love.graphics.setColor(Color.menu_back_color)
	end
	love.graphics.printf("Menu", 0, menyBiasY + menuStepY, GameWidth, "center")

	love.graphics.setColor(Color.default)
end

function PauseScreen:keypressed(key)
	if key == "escape" then
		Game:popState()
	elseif key == "down" then
		PlayMenuSfx()
		PauseScreen.menuChoice = PauseScreen.menuChoice +1
		if PauseScreen.menuChoice > 2 then
			PauseScreen.menuChoice = 1
		end
	elseif key == "up" then
		PlayMenuSfx()
		PauseScreen.menuChoice = PauseScreen.menuChoice -1
		if PauseScreen.menuChoice < 1 then
			PauseScreen.menuChoice = 2
		end
	elseif key == "return" then
		PlayMenuSfx()
		if PauseScreen.menuChoice == 2 then
			Game:popState()
			Game:popState()
		elseif PauseScreen.menuChoice == 1 then
			Game:popState()
		end
	end
end

function PauseScreen:keyreleased(key)
end

function PauseScreen:exitState()
end



