
function makeValid(x, y)
	if x < 0 then
		x = 0
	end
	
	if x > GameWidth then
		x = GameWidth
	end
	
	if y < 0 then
		y = 0
	end
	
	if y > GameHeight then
		y = GameHeight
	end
	
	return x, y
end

function getStep(dx, dy, speed)
	local d = math.sqrt(dx * dx + dy * dy)
	if d <= speed then
		return dx, dy
	else
		local angle = math.atan2(dy, dx)
		return speed * math.cos(angle), speed * math.sin(angle)
	end
end

function distanceFrom(x1,y1,x2,y2)
   return math.sqrt((x2 - x1) ^ 2 + (y2 - y1) ^ 2)
end
