local  WinScreen = Game:addState("WinScreen")

function WinScreen:enterState()
	self.tickCount = 100
end

function WinScreen:update()
	self.tickCount = self.tickCount - 1
	
	UpdateParticles()
	
	if math.random() < 0.1 then
		AddWinExplode(math.random(GameWidth), math.random(GameHeight))
	end
end

function WinScreen:draw()
    love.graphics.draw(Graphics.backgrnd,0,0,0,1,1)

	DrawParticles()

	love.graphics.setFont(Font.state_title_font)
	love.graphics.setColor(Color.state_title_color)
	love.graphics.printf("Invading complete!\n\nYou've break\n the balance of\n the Universe!",
		10, 80, GameWidth, "center")

	love.graphics.setFont(Font.state_hint_font)
	love.graphics.setColor(Color.state_title_color)
	love.graphics.printf("You should not see this message!\nHa Ha Ha ...",
		10, 370, GameWidth, "center")

	if self.tickCount < 0 then
		love.graphics.setFont(Font.state_hint_font)
		local menyBiasY = 480
		love.graphics.setColor(Color.state_hint_color)
		love.graphics.printf("Press any key", 0, menyBiasY, GameWidth, "center")
	end
	
	love.graphics.setColor(Color.default)
end

function WinScreen:keypressed(key)
	if self.tickCount < 0 then
		PlayMenuSfx()
		DeleteAllParticles()
		Game:popState()
		Game:popState()
	end
end

function WinScreen:keyreleased(key)
end

function WinScreen:exitState()
end


